### Class

# EDataBook SubprocessBookFactory

#### Description

    class EDataBook.SubprocessBookFactory : EBackend.SubprocessFactory
      implements Gio.Initable {
      ESubprocessBookFactoryPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- ESubprocessFactory
- GObject

#### Implements

- GInitable

#### Constructors

###### e_subprocess_book_factory_new

No description available.

#### Instance methods

##### Methods inherited from ESubprocessFactory (6)

###### e_subprocess_factory_call_backends_prepare_shutdown

Calls `e_backend_prepare_shutdown()` for the list of used backends.

###### e_subprocess_factory_get_backends_list

Returns a list of used backends.

###### e_subprocess_factory_get_registry

Returns the `ESourceRegistry` owned by `subprocess_factory`.

###### e_subprocess_factory_open_backend

Returns the `EBackend` data D-Bus object path.

###### e_subprocess_factory_ref_initable_backend

Returns either a newly-created or existing `EBackend` for `ESource`. The returned `EBackend` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

###### e_subprocess_factory_set_backend_callbacks

Installs a toggle reference on the backend, that can receive a signal to shutdown once all client connections are closed.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

##### Properties inherited from ESubprocessFactory (1)

###### EBackend.SubprocessFactory:registry

Data source registry.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookSubprocessBookFactoryClass {
      ESubprocessFactoryClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESubprocessFactoryClass`

  No description available.